# Get Templates List

Retrieves list of Template with meta-data at Project scope.

Endpoint: GET /v1/orgs/{org}/projects/{project}/templates
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization Identifier

  - `project` (string, required)
    Project Identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Pagination: Number of items to return

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "identifier", "name", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

  - `search_term` (string)
    This would be used to filter resources having attributes matching with search term.

  - `type` (string)
    Template List Type
    Enum: "STABLE_TEMPLATE", "LAST_UPDATES_TEMPLATE", "ALL"

  - `recursive` (boolean)
    Specify true if all accessible Templates are to be included

  - `names` (array)
    Template names for filtering

  - `identifiers` (array)
    Template Ids for Filtering

  - `description` (string)
    Filter properties description

  - `entity_types` (array)
    Type of Template
    Enum: "Step", "Stage", "Pipeline", "CustomDeployment", "MonitoredService", "SecretManager"

  - `child_types` (array)
    Child types describe the type of Step or stage

## Response 200 fields (application/json):

  - `account` (string)
    Account identifier

  - `org` (string)
    Organization identifier

  - `project` (string)
    Project identifier

  - `identifier` (string)
    Template identifier

  - `name` (string)
    Template Name

  - `description` (string)
    Template description

  - `tags` (object)
    Template tags

  - `version_label` (string)
    Version label of template

  - `entity_type` (string)
    Type of Template
    Enum: "Step", "Stage", "Pipeline", "CustomDeployment", "MonitoredService", "SecretManager"

  - `child_type` (string)
    Defines child template type

  - `scope` (string)
    Scope of template
    Enum: "org", "project", "account", "unknown"

  - `version` (integer)
    Version of template

  - `git_details` (object)
    Git Experience related details of the Entity.

  - `git_details.object_id` (string)
    Entity identifier

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.file_path` (string)
    File path of the Entity in the repository.

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.commit_id` (string)
    Latest commit identifier.

  - `git_details.file_url` (string)
    File URL of the Entity.

  - `git_details.repo_url` (string)
    Repository URL of the Entity.

  - `updated` (integer)
    Last modification timestamp for Service.

  - `store_type` (string)
    Specifies whether the Entity is to be stored in Git or not (for Git Experience).
    Enum: "INLINE", "REMOTE"

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `yaml_version` (string)
    Specifies the yaml version of the template

  - `stable_template` (boolean)
    True if this version is stable version of Template


